//
//  DNSCache.h
//  GlowWorm
//
//  Created by Curtis Jones on 2006.07.12.
//  Copyright 2006 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <pthread.h>
#import <semaphore.h>
#import <DNSCacheEntry.h>


@interface DNSCache : NSObject
{
	
}

- (id)init;
- (void)dealloc;

- (BOOL)start;
- (BOOL)stop;

- (BOOL)hasAddress:(NSNumber *)addr forName:(NSString *)name;
- (void)lookup:(DNSCacheEntry *)anEntry;
- (void)addEntry:(NSString *)aName;
- (DNSCacheEntry *)getEntry:(NSString *)aName;

- (void)loop;

- (void)setCallback:(id)anObj sel:(SEL)aSel;

@end
