//
//  GlowWormPlugin.h
//  GlowWorm
//
//  Created by Curtis Jones on 2006.11.29.
//  Copyright 2006 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@protocol GlowWormPlugin
- (NSString *)name;
- (NSString *)version;

- (BOOL)loadPlugin;
- (BOOL)unloadPlugin;
@end

@interface GlowWormPlugin : NSObject
{
	
}

- (id)init;
- (void)dealloc;

- (BOOL)loadPlugin;
- (BOOL)unloadPlugin;

- (BOOL)isLoaded;
- (void)setIsLoaded:(BOOL)aBool;

+ (void)setPluginsMenu:(NSMenu *)aMenu;
+ (NSMenu *)pluginsMenu;

@end
